slanst.f(3)

NAME
slanst.f -

SYNOPSIS

  Functions/Subroutines
REAL function SLANST (NORM, N, D, E)
SLANST

Function/Subroutine Documentation

  REAL function SLANST (CHARACTERNORM, INTEGERN, REAL, dimension( * )D, REAL, dimension( * )E)

SLANST

Purpose:

     SLANST  returns the value of the one norm,  or the Frobenius norm, or
     the  infinity norm,  or the  element of  largest absolute value  of a
     real symmetric tridiagonal matrix A.

Returns:
    SLANST

        SLANST = ( max(abs(A(i,j))), NORM = 'M' or 'm'
                 (
                 ( norm1(A),         NORM = '1', 'O' or 'o'
                 (
                 ( normI(A),         NORM = 'I' or 'i'
                 (
                 ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     where  norm1  denotes the  one norm of a matrix (maximum column sum),
     normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     normF  denotes the  Frobenius norm of a matrix (square root of sum of
     squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.

Parameters:
    NORM

              NORM is CHARACTER*1
              Specifies the value to be returned in SLANST as described
              above.

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.  When N = 0, SLANST is
              set to zero.

    D

              D is REAL array, dimension (N)
              The diagonal elements of A.

    E

              E is REAL array, dimension (N-1)
              The (n-1) sub-diagonal or super-diagonal elements of A.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 101 of file slanst.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.